import glob

from setuptools import find_packages, setup

setup(
    name='niche',
    version_format='{tag}.dev{commitcount}+{gitsha}',
    setup_requires=['setuptools-git-version'],
    url='https://juju.nz/src/juju/niche',
    author='Michael Hope',
    author_email='michaelh@juju.nz',
    description='A community web log for monkey niches.',
    zip_safe=False,
    packages=find_packages(),
    data_files=[
        ('lib/niche/templates', glob.glob('templates/*')),
        ('lib/niche/static/themes/common',
         glob.glob('static/themes/common/*')),
        ('lib/niche/static/themes/able-wpcom',
         glob.glob('static/themes/able-wpcom/*')),
    ],
    install_requires=[
        'passlib>=1.7.4',
        'bleach>=3.2.1',
        'markdown>=3.1.1',
        'python-memcached>=1.59',
        'web.py>=0.62',
        'pymysql>=0.9.3',
    ],
)
